# Webhook action types

## List webhook action types

This endpoint makes an HTTP GET request to retrieve a list of action types to which will send an event to webhookt.

**Request Body** This request does not require a request body.

### Request

* Endpoint: `https://api.thebrief.ai/v1/webhookActions`

### Response

* Status: 200
* Content-Type: application/json

The response will contain an array of webhook action, where each action is represented by an object with "id", "name", "description", "config" and "createdAt" properties.

Example response:

```
{
    "response": [
        {   
            "id": 1,
            "name": "comment/create",
            "description": "Comment created",
            "config": null,
            "createdAt": "2024-09-12T17:57:23:4242
        },
        {
            "id": 5,
            "name": "session/finish",
            "description": "Session finished",
            "config": null,
            "createdAt": "2024-09-19T16:17:29.4512"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/webhooks/webhook-action-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
